package com.ruoyi.project.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 tq_specification_detail
 * 
 * @author ruoyi
 * @date 2024-05-10
 */
public class TqSpecificationDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 规格ID */
    @Excel(name = "规格ID")
    private Long specificationId;

    /** 参数编码 */
    @Excel(name = "参数编码")
    private String paraCode;

    /** 参数选项值 */
    @Excel(name = "参数选项值")
    private String paraValue;

    /** 参数包配置Id */
    @Excel(name = "参数包配置Id")
    private Long parabarDetailId;

    /** 参数包Id */
    @Excel(name = "参数包Id")
    private Long parabarId;

    /** 参数大类（00：基本参数 01：井道参数 02：轿厢参数 03：门机参数 04：选配参数 05：装潢参数 06：楼层参数） */
    @Excel(name = "参数大类", readConverterExp = "0=0：基本参数,0=1：井道参数,0=2：轿厢参数,0=3：门机参数,0=4：选配参数,0=5：装潢参数,0=6：楼层参数")
    private String paraCategory;

    /** 删除标记（0：未删除  1：已删除） */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSpecificationId(Long specificationId) 
    {
        this.specificationId = specificationId;
    }

    public Long getSpecificationId() 
    {
        return specificationId;
    }
    public void setParaCode(String paraCode) 
    {
        this.paraCode = paraCode;
    }

    public String getParaCode() 
    {
        return paraCode;
    }
    public void setParaValue(String paraValue) 
    {
        this.paraValue = paraValue;
    }

    public String getParaValue() 
    {
        return paraValue;
    }
    public void setParabarDetailId(Long parabarDetailId) 
    {
        this.parabarDetailId = parabarDetailId;
    }

    public Long getParabarDetailId() 
    {
        return parabarDetailId;
    }
    public void setParabarId(Long parabarId) 
    {
        this.parabarId = parabarId;
    }

    public Long getParabarId() 
    {
        return parabarId;
    }
    public void setParaCategory(String paraCategory) 
    {
        this.paraCategory = paraCategory;
    }

    public String getParaCategory() 
    {
        return paraCategory;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("specificationId", getSpecificationId())
            .append("paraCode", getParaCode())
            .append("paraValue", getParaValue())
            .append("parabarDetailId", getParabarDetailId())
            .append("parabarId", getParabarId())
            .append("paraCategory", getParaCategory())
            .append("delFlag", getDelFlag())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("remark", getRemark())
            .toString();
    }
}
